Bug 148880 - [patch] games/wesnoth: remove NLS option, plug gettext no-op for WITHOUT_NLS
Summary: [patch] games/wesnoth: remove NLS option, plug gettext no-op for WITHOUT_NLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-23 22:30 UTC by swell.k
Modified: 2010-08-26 12:20 UTC (History)
0 users

See Also:


Attachments
a.diff (2.90 KB, patch)
2010-07-23 22:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-23 22:30:06 UTC
Most ports don't use NLS knob in OPTIONS. This one doesn't even compile
with default options + WITHOUT_NLS. So, make NLS even stronger default.
In rare case user hates gettext provide a no-op fix for compilation.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-23 22:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 tacid 2010-08-10 14:38:04 UTC
Approve. New version compiles and works for me with this patch

I've done all the tests from 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html

Thanks swell.k
Comment 3 tacid 2010-08-10 18:03:34 UTC
10.08.2010 18:02, Anonymous пиÑеÑ:
> Paul Shepel<tacid@tacid.kiev.ua>  writes:
>
>    
>> Approve. New version compiles and works for me with this patch
>>
>> I've done all the tests from
>> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html
>>      
> Compilation aside, did you test NLS during runtime? Try
>
> - WITH_NLS, try to use russian localization (assuming you know the language)
> - WITHOUT_NLS, try to find any side effects in english strings (menu, dialogs, etc.)
>    
Sorry I've missed PR. This message was for ports/149485

I've checked WITH_NLS (Russian localization works well) and WITHOUT_NLS 
- all is fine
Comment 4 Philip Paeps freebsd_committer 2010-08-26 12:17:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-08-26 12:18:02 UTC
philip      2010-08-26 11:17:44 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth        Makefile 
  Added files:
    games/wesnoth/files  patch-src-gettext.cpp 
                         patch-src-gettext.hpp 
  Log:
  Remove NLS option, plug gettext no-op for WITHOUT_NLS.
  
  PR:             ports/148880
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.83      +0 -5      ports/games/wesnoth/Makefile
  1.1       +15 -0     ports/games/wesnoth/files/patch-src-gettext.cpp (new)
  1.1       +25 -0     ports/games/wesnoth/files/patch-src-gettext.hpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"